package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.MusicInfo;
import com.ruoyi.common.core.domain.entity.RecommendInfo;

import java.util.List;

/**
 * 推荐Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IRecommendInfoService 
{
    /**
     * 查询推荐
     * 
     * @param id 推荐主键
     * @return 推荐
     */
    public RecommendInfo selectRecommendInfoById(Long id);

    /**
     * 查询推荐列表
     * 
     * @param recommendInfo 推荐
     * @return 推荐集合
     */
    public List<RecommendInfo> selectRecommendInfoList(RecommendInfo recommendInfo);

    /**
     * 新增推荐
     * 
     * @param recommendInfo 推荐
     * @return 结果
     */
    public int insertRecommendInfo(RecommendInfo recommendInfo);

    /**
     * 修改推荐
     * 
     * @param recommendInfo 推荐
     * @return 结果
     */
    public int updateRecommendInfo(RecommendInfo recommendInfo);

    /**
     * 批量删除推荐
     * 
     * @param ids 需要删除的推荐主键集合
     * @return 结果
     */
    public int deleteRecommendInfoByIds(Long[] ids);

    /**
     * 删除推荐信息
     * 
     * @param id 推荐主键
     * @return 结果
     */
    public int deleteRecommendInfoById(Long id);

    int bindMusic(String reId, String[] musicIds);

    List<MusicInfo> findRecommendMusic();

    List<RecommendInfo> findRecommendBindMusic();

    List<MusicInfo> findRecommendMusicByReId(String reId);
}
